# insert-newline(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

insert-newline - Insert new line at cursor position

## SYNOPSIS

n insert-newline (C-o)

## DESCRIPTION

insert-newline inserts n new lines at the current cursor position, but does not move the cursor. Any text following the cursor is moved to the newly created line.

insert-newline is the built in key binding for (C-o) the key binding is typically replaced with open-line(3) which behaves correctly by maintaining the cursor position.

## SEE ALSO

newline(2), open-line(3).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>